ToNetASCIIInputStream
Date: 2016-06-23

org.apache.commons.net.io

## Class ToNetASCIIInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.commons.net.io.ToNetASCIIInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public final class ToNetASCIIInputStream
      extends java.io.FilterInputStream

  This class wraps an input stream, replacing all singly occurring <LF> (linefeed) characters with <CR><LF> (carriage return followed by linefeed), which is the NETASCII standard for representing a newline. You would use this class to implement ASCII file transfers requiring conversion to NETASCII.

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToNetASCIIInputStream(java.io.InputStream input)` Creates a ToNetASCIIInputStream instance that wraps an existing InputStream.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `boolean` | `markSupported()` Returns false.
    `int` | `read()` Reads and returns the next byte in the stream.
    `int` | `read(byte[] buffer)` Reads the next number of bytes from the stream into an array and returns the number of bytes read.
    `int` | `read(byte[] buffer, int offset, int length)` Reads the next number of bytes from the stream into an array and returns the number of bytes read.

    - ### Methods inherited from class java.io.FilterInputStream

      `close, mark, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToNetASCIIInputStream

          public ToNetASCIIInputStream(java.io.InputStream input)

      Creates a ToNetASCIIInputStream instance that wraps an existing InputStream.
      Parameters:
        `input` - The InputStream to wrap.

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Reads and returns the next byte in the stream. If the end of the message has been reached, returns -1.
      Overrides:
        `read` in class `java.io.FilterInputStream`
      Returns:
        The next character in the stream. Returns -1 if the end of the stream has been reached.
      Throws:
        `java.io.IOException` - If an error occurs while reading the underlying stream.

    - #### read

          public int read(byte[] buffer)
                   throws java.io.IOException

      Reads the next number of bytes from the stream into an array and returns the number of bytes read. Returns -1 if the end of the stream has been reached.
      Overrides:
        `read` in class `java.io.FilterInputStream`
      Parameters:
        `buffer` - The byte array in which to store the data.
      Returns:
        The number of bytes read. Returns -1 if the end of the message has been reached.
      Throws:
        `java.io.IOException` - If an error occurs in reading the underlying stream.

    - #### read

          public int read(byte[] buffer,
                 int offset,
                 int length)
                   throws java.io.IOException

      Reads the next number of bytes from the stream into an array and returns the number of bytes read. Returns -1 if the end of the message has been reached. The characters are stored in the array starting from the given offset and up to the length specified.
      Overrides:
        `read` in class `java.io.FilterInputStream`
      Parameters:
        `buffer` - The byte array in which to store the data.
        `offset` - The offset into the array at which to start storing data.
        `length` - The number of bytes to read.
      Returns:
        The number of bytes read. Returns -1 if the end of the stream has been reached.
      Throws:
        `java.io.IOException` - If an error occurs while reading the underlying stream.

    - #### markSupported

          public boolean markSupported()

      Returns false. Mark is not supported.
      Overrides:
        `markSupported` in class `java.io.FilterInputStream`

    - #### available

          public int available()
                        throws java.io.IOException

      Overrides:
        `available` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`